petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoComputeJacobianEquality

Computes the Jacobian matrix that has been set with TaoSetJacobianEqualityRoutine().

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeJacobianEquality(Tao tao, Vec X, Mat J, Mat Jpre)

Collective on Tao

### Input Parameters

| tao | - the Tao solver context
| X | - input vector

### Output Parameters

| J | - Jacobian matrix
| Jpre | - Preconditioning matrix

### Notes

Most users should not need to explicitly call this routine, as it is used internally within the minimization solvers.

### See Also

TaoComputeObjective(), TaoComputeObjectiveAndGradient(), TaoSetJacobianStateRoutine(), TaoComputeJacobianDesign(), TaoSetStateDesignIS()

### Level

developer

### Location

src/tao/interface/taosolver_hj.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages